Subject: Re: [PATCH v4 4/6] tests: don't lose exit status with "test <op> $(git ...)"

From: Junio C Hamano <[email-masked]>
Date: Mon, 26 Dec 2022 10:14:46 +0900

Ævar Arnfjörð Bjarmason  <[email-masked]> writes:

> As with the preceding commit, rewrite tests that ran "git" inside
> command substitution and lost the exit status of "git" so that we
> notice the failing "git". This time around we're converting cases that
> didn't involve a containing sub-shell around the command substitution.
>
> In the case of "t0060-path-utils.sh" and
> "t2005-checkout-index-symlinks.sh" convert the relevant code to using
> the modern style of indentation and newline wrapping while having to
> change it.
>
> Signed-off-by: Ævar Arnfjörð Bjarmason <[email-masked]>
> ---

Unlike the previous one, this looks sharply focused to deal with
having $(git ...) as one of the arguments to "test".  Looking good.